Internal Server Error on query with users

2018-05-23 15:05 - Frank Hebold

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.1

Description

I have two queries. Both are using a custom field where users of redmine are linked to issues. (not as assignee, but associated)

On one I get this error in my logs:

custom field 61 is the one making trouble

Started GET "/projects/computer/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_i

d%5D=*&f%5B%5D=tracker_id&op%5Btracker_id%5D=%3D&v%5Btracker_id%5D%5B%5D=14&f%5B%5D=&c%5B%5D=subje

ct&c%5B%5D=cf_58&c%5B%5D=status&c%5B%5D=cf_57&c%5B%5D=cf_59&c%5B%5D=cf_64&c%5B%5D=cf_63&c%5B%5D=cf

_62&c%5B%5D=cf_53&c%5B%5D=cf_61&group_by=cf_46&t%5B%5D=" for 192.168.2.167 at 2018-05-23 15:03:53 

+0200

Processing by IssuesController#index as HTML

  Parameters: {"utf8"=>"✓", "set_filter"=>"1", "f"=>["status_id", "tracker_id", ""], "op"=>{"statu

s_id"=>"*", "tracker_id"=>"="}, "v"=>{"tracker_id"=>["14"]}, "c"=>["subject", "cf_58", "status", "

cf_57", "cf_59", "cf_64", "cf_63", "cf_62", "cf_53", "cf_61"], "group_by"=>"cf_46", "t"=>[""], "pr

oject_id"=>"computer"}

  Current user: hebold (id=61)

  Rendered queries/_filters.html.erb (12.9ms)

  Rendered queries/_columns.html.erb (1.5ms)

  Rendered issues/_list.html.erb (273.2ms)

  Rendered issues/index.html.erb within layouts/base (292.2ms)

Completed 500 Internal Server Error in 442ms (ActiveRecord: 84.3ms)

ActionView::Template::Error (undefined local variable or method `item' for #<#<Class:0x00563c5e6ea

e88>:0x007f128233ed70>):

    28:   <% end %>

    29:   <tr id="issue-<%= issue.id %>" class="hascontextmenu <%= cycle('odd', 'even') %> <%= iss

ue.css_classes %> <%= level > 0 ? "idnt idnt-#{level}" : nil %>">

    30:     <td class="checkbox hide-when-print"><%= check_box_tag("ids[]", issue.id, false, :id =

> nil) %></td>

    31:     <% query.inline_columns.each do |column| %>

    32:     <%= content_tag('td', column_content(column, issue), :class => column.css_classes) %>

    33:     <% end %>

    34:   </tr>

  app/helpers/queries_helper.rb:132:in `block in column_content'

  app/helpers/queries_helper.rb:132:in `collect'

  app/helpers/queries_helper.rb:132:in `column_content'

  app/views/issues/_list.html.erb:31:in `block (3 levels) in _app_views_issues__list_html_erb__282

6051833959946854_47408662523580'

  app/views/issues/_list.html.erb:30:in `each'

  app/views/issues/_list.html.erb:30:in `block (2 levels) in _app_views_issues__list_html_erb__282

6051833959946854_47408662523580'

  app/helpers/issues_helper.rb:56:in `block in grouped_issue_list'

  app/helpers/issues_helper.rb:30:in `block in issue_list'

  app/helpers/issues_helper.rb:26:in `each'

  app/helpers/issues_helper.rb:26:in `issue_list'

  app/helpers/issues_helper.rb:41:in `grouped_issue_list'

  app/views/issues/_list.html.erb:16:in `block in _app_views_issues__list_html_erb__28260518339599

46854_47408662523580'

  app/views/issues/_list.html.erb:1:in `_app_views_issues__list_html_erb__2826051833959946854_4740

8662523580'
  app/views/issues/index.html.erb:74:in `_app_views_issues_index_html_erb__1941775417574223512_474

08641264820'

  app/controllers/issues_controller.rb:76:in `block (2 levels) in index'

  app/controllers/issues_controller.rb:75:in `index'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2018-05-24 17:24 - Frank Hebold

I found out, that multiple values seems to be the issue here. Does the custom field only hold one entry the query works just as intended, even if

multiple values are allowed in the configuration, but only if this feature is not used.

#2 - 2018-05-28 15:00 - Frank Hebold

- Status changed from New to Resolved

It's on Debian.

#3 - 2019-02-14 21:36 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Resolution set to Invalid

#4 - 2019-02-14 21:37 - Marius BĂLTEANU

Frank Hebold wrote:

It's on Debian.

 Thanks for your feedback.
